Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007506 [DCSS] Bug Report crash have not tried 2013-08-23 21:30 2013-10-11 04:55
Reporter newideas View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007506: game crash - ASSERT(mons_habitat(this) == HT_WATER) in 'mon-ench.cc' at line 1167 failed.
Description Perhaps the game crashed because some summoned water elementals wanted to follow me upstairs even though the game wants them to stay near their summoner?

Here is the crash report:

ASSERT(mons_habitat(this) == HT_WATER) in 'mon-ench.cc' at line 1167 failed.

Version: Dungeon Crawl Stone Soup 0.13-a0-2749-g2ed80a3
Platform: unix
Bits: 64
Game mode: normal
Tiles: no

Command line: crawl

RC options:
restart_after_game = false


Crash caused by signal 0000006: Abgebrochen

Obtained 16 stack frames.
crawl(_Z17write_stack_traceP8_IO_FILEi+0x27) [0x554bf7]: write_stack_trace(_IO_FILE*, int)
crawl(_Z13do_crash_dumpv+0x28c) [0x55cc8c]: do_crash_dump()
crawl() [0x554e81]
/lib/x86_64-linux-gnu/libc.so.6(+0x370b0) [0x7f6268b7e0b0]:
/lib/x86_64-linux-gnu/libpthread.so.0(raise+0x2b) [0x7f6268f1eaab]:
crawl() [0x55af94]
crawl(_Z10die_nolinePKcz+0) [0x55b190]: die_noline(char const*, ...)
crawl(_ZN7monster17apply_enchantmentERK11mon_enchant+0x1c99) [0x801869]: monster::apply_enchantment(mon_enchant const&)
crawl(_ZN7monster18apply_enchantmentsEv+0xc4) [0x801c64]: monster::apply_enchantments()
crawl(_Z15handle_monstersb+0x234) [0x7d9d74]: handle_monsters(bool)
crawl(_Z12world_reactsv+0x144) [0x734a64]: world_reacts()
crawl() [0x73bffd]
crawl() [0x73d6d5]
crawl(main+0x2d7) [0x73e387]:
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f6268b68ea5]:
crawl(_ZNSt8ios_base4InitD1Ev+0x51) [0x4c2289]: std::ios_base::Init::~Init()

Compilation info:
<<<<<<<<<<<
Compiled with GCC 4.3.2 on Aug 22 2013 at 02:37:03
Build platform: x86_64-linux-gnu
Platform: x86_64-linux-gnu
CFLAGS: -g -O2 -pipe -Wall -Wformat-security -Wmissing-declarations -Wundef -Wno-array-bounds -Wno-parentheses -Wno-unused-parameter -Wwrite-strings -Wshadow -Wuninitialized -Icontrib/install/x86_64-linux-gnu/include -Iutil -I. -I/usr/include/lua5.1 -I/usr/include -Irltiles -I/usr/include/ncursesw -DWIZARD -DASSERTS -DCLUA_BINDINGS -DSAVE_DIR_PATH="~/.crawl" -DDATA_DIR_PATH="/usr/share/crawl/"
LDFLAGS: -rdynamic -g -O2
>>>>>>>>>>>

Place info:
branch = 0, depth = 18

Level id: D:18
Level build method = , level layout type = open, absdepth0 = 17
Level vaults:
    layout_big_octagon
    serial_bayou
    serial_bayou_crossing
    serial_bayou_lagoon_b
    serial_bayou_lake_a
    serial_bayou_pond_b
    trog_ov_bears_minmay

Markers:
<<<<<<<<<<<<<<<<<<<<<<
Marker 0 at (37, 52): Terrain change marker (33->32, 7)
>>>>>>>>>>>>>>>>>>>>>>

Messages:
<<<<<<<<<<<<<<<<<<<<<<
No target in view!
Things that are here:
a dire flail; a scimitar of flaming
You offer a prayer to Makhleb.
Makhleb only cares about fresh corpses!
Makhleb is exalted by your worship.
You see here a warg corpse.
You offer a prayer to Makhleb.
The warg corpse flares red and disappears.
Makhleb is exalted by your worship.
Things that are here:
an orcish mace; an orcish leather armour
You offer a prayer to Makhleb.
Makhleb only cares about fresh corpses!
Makhleb is exalted by your worship.
The red ugly thing is too close now for your liking.
An orc warrior comes into view. It is wielding an orcish battleaxe.
The orc warrior shouts!
An orc warrior comes into view. It is wielding an orcish hand axe.
The orc warrior shouts!
An orc warrior comes into view. It is wielding an orcish flail.
The orc warrior shouts!
You hit the orc warrior.
The orc warrior is lightly wounded.
An orc knight comes into view. It is wielding a runed orcish battleaxe.
You hit the orc warrior but do no damage.
The orc warrior is lightly wounded.
The orc warrior barely misses you.
The orc knight roars a battle-cry!
The orc warriors go into a battle-frenzy!
You block the orc warrior's attack.
You hit the red ugly thing.
The red ugly thing is lightly wounded.
The red ugly thing headbutts you but does no damage.
You whack the orc warrior! There is a sudden explosion of sparks!
The orc warrior is severely wounded.
You hit the orc warrior but do no damage.
The orc warrior is severely wounded.
The red ugly thing headbutts you but does no damage.
You block the orc warrior's attack.
You barely miss the red ugly thing.
You closely miss the red ugly thing. The red ugly thing closely misses you.
You are feeling hungry.
You whack the orc warrior! There is a sudden explosion of sparks!
You kill the orc warrior!
Makhleb accepts your kill.
The orc warrior unwields an uncursed orcish hand axe.
The orc warrior drops an uncursed orcish hand axe.
The orc warrior picks up an orcish battleaxe.
The orc warrior wields an orcish battleaxe.
There is a stone staircase leading up here.
You see here 2 large rocks.
You hit the red ugly thing.
The red ugly thing is lightly wounded.
The red ugly thing headbutts you but does no damage.
You hit the red ugly thing.
The red ugly thing is lightly wounded.
The orc warrior throws an orcish hand axe.
The orcish hand axe hits you!
The orc warrior picks up an uncursed orcish hand axe.
You block the red ugly thing's attack.
The orc warrior throws an orcish hand axe.
Your +0 shield of reflection reflects the orcish hand axe!
The orcish hand axe hits the orc warrior.
You climb upwards.
There is a stone staircase leading down here.
Unknown command.
You whack the red ugly thing! There is a sudden explosion of sparks!
The red ugly thing is almost dead.
You block the red ugly thing's attack.
You barely miss the red ugly thing.
The red ugly thing is almost dead.
Unknown command.
You whack the red ugly thing!
You kill the red ugly thing!
Makhleb accepts your kill.
No target in view!
You climb downwards.
An orc comes into view.
The orc shouts!
You block the orc warrior's attack. You block the orc knight's attack.
The orc warrior throws an orcish hand axe.
The orcish hand axe hits you!
There is a stone staircase leading up here.
Things that are here:
an orcish hand axe; 2 large rocks; an orcish hand axe
Unknown command.
You whack the orc knight! There is a sudden explosion of sparks!
The orc knight is moderately wounded.
The orc warrior throws an orcish hand axe.
Your +0 shield of reflection reflects the orcish hand axe!
The orcish hand axe hits the orc warrior.
The orc knight hits you but does no damage.
The orc warrior barely misses you.
The orc warrior throws an orcish hand axe.
The orcish hand axe misses you.
You climb upwards.
There is a stone staircase leading down here.
Unknown command.
You can't go up here!
Unknown command.
You hit the orc knight.
The orc knight is moderately wounded.
The orc knight roars a battle-cry!
The orc warrior goes into a battle-frenzy!
The orc knight hits you with a runed orcish battleaxe.
You block the orc warrior's attack.
Your gold dragon armour prevents you from hitting the orc knight.
The orc knight is moderately wounded.
Unknown command.
You whack the orc knight!
The orc knight is heavily wounded.
Unknown command.
You hit the orc knight but do no damage.
The orc knight is heavily wounded.
You block the orc knight's attack. You block the orc warrior's attack.
Unknown command.
You whack the orc knight!
The orc knight is severely wounded.
Unknown command.
You whack the orc knight!
The orc knight is severely wounded.
You block the orc knight's attack.
Unknown command.
You whack the orc knight!
The orc knight is almost dead.
You block the orc warrior's attack.
Unknown command.
You hit the orc knight. There is a sudden explosion of sparks!
You kill the orc knight!
Makhleb accepts your kill.
Unknown command.
You whack the orc warrior!
The orc warrior is moderately wounded.
You block the orc warrior's attack.
You hit the orc warrior but do no damage.
There is a sudden explosion of sparks!
You kill the orc warrior!
Makhleb accepts your kill.
No target in view!
No target in view!
Things that are here:
an orcish battleaxe; an uncursed orcish hand axe; an orcish chain mail
You offer a prayer to Makhleb.
Makhleb only cares about fresh corpses!
Makhleb is exalted by your worship.
There is a stone staircase leading down here.
Items here: ))) [[
a runed orcish battleaxe; an orcish chain mail; an orcish falchion; an orcish plate armour; an orcish great sword
You offer a prayer to Makhleb.
Makhleb only cares about fresh corpses!
Makhleb is exalted by your worship.
There is a stone staircase leading down here.
You climb downwards. The orc completely misses you.
The orc warrior hits you with an orcish flail.
There is a stone staircase leading up here.
Things that are here:
2 large rocks; an orcish hand axe; an orcish hand axe
You hit the orc warrior but do no damage.
You block the orc's attack.
Unknown command.
You barely miss the orc warrior.
The orc warrior hits you but does no damage.
Unknown command.
You whack the orc warrior!
The orc warrior is heavily wounded.
The orc hits you.
Unknown command.
You hit the orc warrior. There is a sudden explosion of sparks!
You kill the orc warrior!
Makhleb accepts your kill.
You feel a little better.
Unknown command.
You hit the orc.
The orc is almost dead.
You block the orc's attack.
Unknown command.
You whack the orc! There is a sudden explosion of sparks!
You kill the orc!
Makhleb accepts your kill.
No target in view!
Things that are here:
an orcish leather armour; an orc corpse
You start butchering the orc corpse with your knife.
You continue butchering the corpse.
You finish chopping the orc corpse into pieces.
B - a chunk of orc flesh
Things that are here:
an orc skeleton; an orcish leather armour
Eat a chunk of orc flesh? (ye/n/q/i?)
This raw flesh tastes terrible.
You continue eating.
The orc warrior shouts!
You continue eating.
There is a stone staircase leading up here.
Things that are here:
2 large rocks; an orcish hand axe; an orcish hand axe
Items here: % ))))) [[
You offer a prayer to Makhleb.
The orc corpse flares red and disappears.
Makhleb is exalted by your worship.
You hit the orc warrior but do no damage.
You block the orc warrior's attack.
You hit the orc warrior but do no damage.
You hit the orc warrior. There is a sudden explosion of sparks!
The orc warrior is severely wounded.
You block the orc warrior's attack.
You hit the orc warrior. There is a sudden explosion of sparks!
You kill the orc warrior!
Makhleb accepts your kill.
No target in view!
Things that are here:
an orcish short sword; an orcish chain mail
You offer a prayer to Makhleb.
Makhleb only cares about fresh corpses!
Makhleb is exalted by your worship.
Things that are here:
a scimitar of flaming; a dire flail
You offer a prayer to Makhleb.
Makhleb only cares about fresh corpses!
Makhleb is exalted by your worship.
Things that are here:
an orcish plate armour; an orc corpse
You offer a prayer to Makhleb.
The orc corpse flares red and disappears.
Makhleb is exalted by your worship.
C - 5 scrolls of blinking (gained 1)
A dragon comes into view.
You see here 13 gold pieces.
You hit the dragon but do no damage. You block the dragon's attack. You block the dragon's attack. The dragon tramples you!
You stumble backwards!
Unknown command.
You hit the dragon. There is a sudden explosion of sparks!
The dragon is moderately wounded.
You hit the dragon but do no damage.
The dragon is moderately wounded.
You block the dragon's attack.
The dragon tramples you but does no damage.
Unknown command.
You hit the dragon but do no damage.
The dragon is moderately wounded.
Unknown command.
You hit the dragon but do no damage.
The dragon is moderately wounded.
The dragon bites you but does no damage.
The dragon claws you but does no damage.
You block the dragon's attack.
Unknown command.
You hit the dragon.
The dragon is moderately wounded.
Unknown command.
You hit the dragon but do no damage.
The dragon is moderately wounded.
You block the dragon's attack.
Unknown command.
You whack the dragon! There is a sudden explosion of sparks!
The dragon is severely wounded.
Unknown command.
You closely miss the dragon.
The dragon is severely wounded.
You block the dragon's attack.
The dragon claws you but does no damage.
You block the dragon's attack.
Unknown command.
You hit the dragon.
The dragon is severely wounded.
Unknown command.
You whack the dragon!
The dragon is almost dead.
The dragon breathes fire at you.
The blast of flame hits you!
Unknown command.
You whack the dragon!
You kill the dragon!
Makhleb accepts your kill.
You feel a little better.
Unknown command.
No target in view!
You now have 2224 gold pieces (gained 13).
You enter the shallow water.
Moving in this stuff is going to be slow.
You enter the shallow water.
Moving in this stuff is going to be slow.
You enter the shallow water.
Moving in this stuff is going to be slow.
All of the chunks of flesh in your inventory have completely rotted away.
i - 5 meat rations (gained 1)
You now have 2249 gold pieces (gained 25).
You enter a teleport trap!
Your surroundings suddenly seem different.
You enter the shallow water.
Moving in this stuff is going to be slow.
The boggart shouts!
The boggart is too close now for your liking.
Wield which item (- for none, * to show all)? (? for menu, Esc to quit)
Your +3,+2 whip of electrocution stops crackling.
You feel protected!
R - a +2,+3 eveningstar of protection (weapon)
Unknown command.
Unknown command.
A six-headed hydra comes into view.
The boggart shouts!
The boggart casts a spell.
The boggart blinks!
2 elemental wellsprings come into view.
Your unstable footing causes you to fumble your attack.
The boggart casts a spell.
The boggart hits you but does no damage.
The water around the elemental wellspring rises up and takes form!
You thump the boggart!
You kill the boggart!
Makhleb accepts your kill.
The water around the elemental wellspring rises up and takes form!
Your unstable footing causes you to fumble your attack.
The six-headed hydra bites you but does no damage.
You block the six-headed hydra's attack.
The six-headed hydra bites you.
The water around the elemental wellspring rises up and takes form!
Unknown command.
Your unstable footing causes you to fumble your attack.
The boggart mumbles some strange words.
The boggart flickers and vanishes for a moment.
The water elemental completely misses the plant.
The water elemental hits the plant.
The water elemental engulfs the plant in water!
You block the six-headed hydra's attack.
The six-headed hydra bites you but does no damage.
You block the six-headed hydra's attack.
The six-headed hydra completely misses you.
The six-headed hydra bites you but does no damage.
The water around the elemental wellspring rises up and takes form!
A grizzly bear comes into view.
The boggart hits the plant. The water elemental hits the plant! The water elemental hits the plant! The water elemental hits the plant.
The water elemental hits the plant.
The water elemental engulfs the plant in water!
The water around the elemental wellspring rises up and takes form!
The boggart gestures wildly while chanting.
The boggart blinks! The six-headed hydra barely misses you.
The six-headed hydra bites you but does no damage.
The six-headed hydra closely misses you.
You block the six-headed hydra's attack.
The six-headed hydra bites you but does no damage.
The water elemental hits the plant. The water elemental hits the plant! The water elemental hits the plant. The queen bee stings the plant.
Something hits the plant! Something engulfs the plant in water! Something hits the plant!
Unknown command.
The six-headed hydra bites you but does no damage.
The six-headed hydra completely misses you.
The six-headed hydra bites you but does no damage.
You block the six-headed hydra's attack.
Something hits the plant!
The plant is destroyed!
The elemental wellspring throws water at you.
The great wave of water hits you!
You are knocked back by the great wave of water.
The wave splashes down.
Splash!
You fall into the shallow water.
Moving in this stuff is going to be slow.
You hear a horrible gurgling sound! You hear a roar!
Unknown command.
You hear a splashing noise.
2 vampire mosquitoes come into view.
The vampire mosquito buzzes angrily.
The boggart hits it but does no damage.
The elemental wellspring throws water at you.
Your +0 shield of reflection reflects the great wave of water!
The great wave of water hits the elemental wellspring.
The wave splashes down.
2 vampire mosquitoes come into view.
Unknown command.
The vampire mosquito buzzes angrily.
A boulder beetle simulacrum comes into view.
Unknown command.
You block the vampire mosquito's attack.
The vampire mosquito barely misses you.
The vampire mosquito bites you but does no damage.
You block the vampire mosquito's attack.
Unknown command.
Wield which item (- for none, * to show all)? (? for menu, Esc to quit)
You don't have any such object.
Wield which item (- for none, * to show all)? (? for menu, Esc to quit)
Okay, then.
Unknown command.
Wield which item (- for none, * to show all)? (? for menu, Esc to quit)
You feel less protected.
You hear the crackle of electricity.
a - a +3,+2 whip of electrocution (weapon)
The vampire mosquito bites you but does no damage.
You block the vampire mosquito's attack.
The vampire mosquito bites you but does no damage.
Unknown command.
Unknown command.
Use which ability? (? or * to list)
You fail to use your ability.
You block the vampire mosquito's attack.
The vampire mosquito barely misses you.
The water elemental hits you.
The water elemental engulfs you in water!
The vampire mosquito bites you but does no damage.
The vampire mosquito bites you.
The vampire mosquito draws strength from your injuries!
The boulder beetle simulacrum moves out of view.
The vampire mosquito bites you but does no damage.
Unknown command.
Unknown command.
Unknown command.
Use which ability? (? or * to list)
A demon appears!
You are feeling hungry.
Your lungs strain for air!
The vampire mosquito bites you but does no damage.
The vampire mosquito barely misses you.
You block the vampire mosquito's attack.
The vampire mosquito closely misses you.
The water elemental hits you.
The vampire mosquito bites you but does no damage.
You block the vampire mosquito's attack.
A grizzly bear comes into view.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
You completely miss the vampire mosquito.
Your lungs strain for air!
The grizzly bear growls angrily.
You block the vampire mosquito's attack.
The water elemental barely misses you.
The vampire mosquito bites you but does no damage.
You block the vampire mosquito's attack.
Your Executioner hits the vampire mosquito!
The vampire mosquito is destroyed!
Makhleb accepts your collateral kill.
You closely miss the vampire mosquito.
Your lungs strain for air!
The queen bee changes into a polar bear!
The water elemental hits you.
You block the six-headed hydra's attack.
The six-headed hydra bites you but does no damage.
You block the six-headed hydra's attack.
The six-headed hydra bites you! The six-headed hydra barely misses you.
The six-headed hydra bites you but does no damage.
You block the vampire mosquito's attack.
The vampire mosquito closely misses you.
The vampire mosquito bites you but does no damage.
You whack the vampire mosquito!
The vampire mosquito is moderately damaged.
Your lungs strain for air!
The water elemental closely misses you.
You block the vampire mosquito's attack.
The water around the elemental wellspring rises up and takes form!
You block the vampire mosquito's attack.
The vampire mosquito closely misses you.
Your Executioner hits the vampire mosquito!
Your Executioner hits the vampire mosquito.
Your Executioner barely misses the vampire mosquito.
With effort, you pull free of the water engulfing you.
You swap places.
You gasp with relief as air once again reaches your lungs.
The vampire mosquito bites you but does no damage.
Your Executioner hits the six-headed hydra!
Your Executioner barely misses the six-headed hydra.
Your Executioner hits the six-headed hydra.
You block the vampire mosquito's attack.
The vampire mosquito bites your Executioner but does no damage.
The water elemental closely misses your Executioner.
The six-headed hydra misses your Executioner.
The six-headed hydra completely misses your Executioner.
The six-headed hydra bites your Executioner.
The six-headed hydra completely misses your Executioner.
The six-headed hydra bites your Executioner.
The vampire mosquito bites you but does no damage.
The vampire mosquito closely misses your Executioner.
Your Executioner hits the six-headed hydra!
The vampire mosquito closely misses you.
The water elemental hits you!
The water elemental hits your Executioner.
The six-headed hydra bites your Executioner!
The six-headed hydra bites your Executioner but does no damage.
The six-headed hydra bites your Executioner!
The six-headed hydra bites your Executioner but does no damage.
The six-headed hydra bites your Executioner.
You hit the vampire mosquito.
The vampire mosquito is severely damaged.
Your Executioner gestures.
Your Executioner seems to speed up.
You block the vampire mosquito's attack.
The vampire mosquito misses your Executioner.
The water elemental hits you.
The water elemental engulfs you in water!
You hit the vampire mosquito. There is a sudden explosion of sparks!
You destroy the vampire mosquito!
Makhleb accepts your kill.
You feel a little better.
Your lungs strain for air!
Your Executioner hits the water elemental!
Your Executioner hits the water elemental.
Your Executioner hits the water elemental but does no damage.
You block the vampire mosquito's attack.
The vampire mosquito bites your Executioner.
The water elemental hits your Executioner!
Your Executioner dies!
You whack the six-headed hydra!
The six-headed hydra is almost dead.
Your lungs strain for air!
You block the vampire mosquito's attack.
The water elemental hits you!
Unknown command.
You hit the six-headed hydra. There is a sudden explosion of sparks!
You kill the six-headed hydra!
Makhleb accepts your kill.
You feel a little better.
Your lungs strain for air!
The vampire mosquito bites you but does no damage.
You block the vampire mosquito's attack.
You whack the water elemental!
The water elemental is almost destroyed.
Your lungs strain for air!
You block the vampire mosquito's attack.
The jellyfish jiggles.
You block the water elemental's attack.
Unknown command.
Unknown command.
Unknown command.
With effort, you pull free of the water engulfing you.
You gasp with relief as air once again reaches your lungs.
The polar bear changes into a black mamba!
The vampire mosquito bites you but does no damage.
The water elemental hits you.
You block the vampire mosquito's attack.
You barely miss the water elemental.
The water elemental is almost destroyed.
You block the vampire mosquito's attack.
The vampire mosquito bites you but does no damage.
You whack the water elemental!
You destroy the water elemental!
You block the vampire mosquito's attack.
You miss the vampire mosquito.
The vampire mosquito is moderately damaged.
The vampire mosquito completely misses you.
The vampire mosquito bites you but does no damage.
Unknown command.
You hit the vampire mosquito. There is a sudden explosion of sparks!
You destroy the vampire mosquito!
Makhleb accepts your kill.
You feel a little better. You block the grizzly bear's attack. The grizzly bear barely misses you.
The grizzly bear claws you but does no damage.
You block the vampire mosquito's attack.
Unknown command.
Unknown command.
Unknown command.
The black mamba bites you but does no damage.
Use which ability? (? or * to list)
A demon appears! You feel somewhat more hungry.
You block the vampire mosquito's attack.
The black mamba bites you but does no damage.
The vampire mosquito bites you.
Unknown command.
Unknown command.
Unknown command.
You block the vampire mosquito's attack.
You hit the water elemental.
The water elemental is lightly damaged.
Your blizzard demon hits the water elemental but does no damage.
Your blizzard demon hits the water elemental.
You block the vampire mosquito's attack.
You block the water elemental's attack.
The water elemental hits your blizzard demon.
The water elemental engulfs your blizzard demon in water!
Your blizzard demon hits the water elemental!
The water elemental is destroyed!
You block the vampire mosquito's attack.
You whack the water elemental!
The water elemental is moderately damaged.
The water elemental hits you. You block the black mamba's attack.
Your blizzard demon waves its arms in wide circles.
The water elemental is struck by the twisting air!
You block the water elemental's attack.
The black mamba bites you but does no damage.
The vampire mosquito bites you but does no damage.
Your blizzard demon hits the water elemental!
The water elemental is destroyed!
You whack the vampire mosquito!
The vampire mosquito is moderately damaged.
The black mamba bites you but does no damage.
The vampire mosquito bites you.
The vampire mosquito draws strength from your injuries!
Your blizzard demon gestures at the vampire mosquito.
The bolt of lightning hits the vampire mosquito.
The vampire mosquito is destroyed!
Makhleb accepts your collateral kill.
The water elemental barely misses you. You block the black mamba's attack.
You hit the water elemental.
The water elemental is lightly damaged.
The black mamba bites you but does no damage.
You hit the water elemental.
The water elemental is lightly damaged.
You block the water elemental's attack. The black mamba bites you!
You whack the water elemental!
The water elemental is moderately damaged.
The black mamba changes into a blink frog!
Your blizzard demon waves its arms in wide circles.
The water elemental is struck by the twisting air!
The water elemental barely misses you.
Your blizzard demon hits the water elemental!
The water elemental is destroyed!
You whack the water elemental!
The water elemental is lightly damaged.
The water elemental hits you!
The water elemental engulfs you in water!
With effort, you pull free of the water engulfing you.
You gasp with relief as air once again reaches your lungs.
The blink frog blinks!
Your blizzard demon waves its arms in wide circles.
The water elemental is struck by the twisting air!
The water elemental barely misses you.
The grizzly bear bites you but does no damage.
You block the grizzly bear's attack.
The grizzly bear claws you but does no damage.
You whack the blink frog!
The blink frog is moderately wounded.
The water elemental hits you. You block the blink frog's attack.
You hit the water elemental but do no damage.
The water elemental is heavily damaged.
You block the water elemental's attack. You block the grizzly bear's attack.
The grizzly bear claws you but does no damage.
The grizzly bear barely misses you.
Your blizzard demon hits the grizzly bear.
Your blizzard demon hits the grizzly bear but does no damage.
You hit the water elemental.
The water elemental is severely damaged.
You block the blink frog's attack. The water elemental hits you.
The water elemental engulfs you in water!
With effort, you pull free of the water engulfing you.
You gasp with relief as air once again reaches your lungs.
The water elemental disappears in a puff of smoke!
The blink frog closely misses you.
Your blizzard demon waves its arms in wide circles.
The grizzly bear is struck by the twisting air!
The blink frog barely misses you.
Your blizzard demon closely misses the grizzly bear.
Your blizzard demon hits the grizzly bear!
Unknown command.
Unknown command.
You block the blink frog's attack.
Your blizzard demon hits the water elemental!
The water elemental is destroyed!
You hit the grizzly bear.
You kill the grizzly bear!
Makhleb accepts your kill.
You feel a little better. You block the blink frog's attack.
You hit the blink frog.
The blink frog is heavily wounded.
You block the blink frog's attack.
You whack the blink frog! There is a sudden explosion of sparks!
You kill the blink frog!
The blink frog's corpse dissolves into shadows!
You block the grizzly bear's attack.
You whack the grizzly bear! There is a sudden explosion of sparks!
The grizzly bear is severely wounded.
Your blizzard demon hits the grizzly bear!
The grizzly bear dies!
Makhleb accepts your collateral kill.
Your blizzard demon gestures at the boulder beetle simulacrum.
The bolt of lightning hits the boulder beetle simulacrum.
The boulder beetle simulacrum vapourises!
Makhleb accepts your collateral kill.
The tree burns like a torch!
Things that are here:
a grizzly bear corpse
You offer a prayer to Makhleb.
The grizzly bear corpse flares red and disappears.
Makhleb is exalted by your worship.
Eat which item? (? for menu, Esc to quit)
Okay, then.
You swap places.
The jellyfish stings you but does no damage.
The jellyfish hits you but does no damage.
You hit the jellyfish.
The jellyfish is moderately wounded.
You hit the jellyfish.
The jellyfish is heavily wounded.
The jellyfish is engulfed in a cloud of scalding steam.
The jellyfish barely misses you.
Your blizzard demon hits the jellyfish!
The jellyfish dies!
Makhleb accepts your collateral kill.
Your blizzard demon is engulfed in a cloud of scalding steam.
You swap places.
The plant is engulfed in a cloud of scalding steam.
You see here a vampire mosquito corpse.
You offer a prayer to Makhleb.
The vampire mosquito corpse flares red and disappears.
Makhleb is exalted by your worship.
The elemental wellspring throws water at you.
Your +0 shield of reflection reflects the great wave of water!
The great wave of water hits the elemental wellspring.
The wave splashes down.
A tarantella comes into view.
The tarantella hisses angrily.
The boggart casts a spell.
The boggart blinks!
The plant is engulfed in a cloud of scalding steam.
An elemental wellspring comes into view.
You hit the elemental wellspring.
The elemental wellspring is heavily damaged.
Your blizzard demon is engulfed in a cloud of scalding steam.
You whack the elemental wellspring!
The elemental wellspring is severely damaged.
The tarantella bites you but does no damage.
You whack the elemental wellspring!
The elemental wellspring is almost destroyed.
The tarantella bites you.
You are confused.
You are too confused!
Unknown command.
You are too confused!
Unknown command.
You are too confused!
Unknown command.
Unknown command.
Are you sure you want to stumble around while confused and next to your blizzard demon?
[Y]es or [N]o only, please.
Are you sure you want to stumble around while confused and next to your blizzard demon?
Okay, then.
Unknown command.
Drink which item? (? for menu, Esc to quit)
You feel better.
The plant is engulfed in a cloud of scalding steam.
You block the tarantella's attack.
The water around the elemental wellspring rises up and takes form!
You barely miss the elemental wellspring.
The elemental wellspring is almost destroyed.
You block the tarantella's attack.
Your blizzard demon gestures at the elemental wellspring.
The bolt of lightning hits the elemental wellspring.
The elemental wellspring is destroyed!
The bolt of lightning hits the boggart.
The boggart dies!
Makhleb accepts your collateral kill.
The bolt of lightning hits the water elemental.
You hit the water elemental.
The water elemental is lightly damaged.
You block the tarantella's attack.
The great wave of water passes through the water elemental.
The great wave of water hits your blizzard demon.
The wave splashes down.
Splash!
You fall into the shallow water.
Moving in this stuff is going to be slow.
You block the water elemental's attack. The water elemental barely misses you.
Unknown command.
Your unstable footing causes you to fumble your attack.
Your blizzard demon hits the water elemental.
Your blizzard demon hits the water elemental!
The tarantella bites you but does no damage.
You block the water elemental's attack.
Unknown command.
Your unstable footing causes you to fumble your attack.
The plant is engulfed in a cloud of scalding steam.
Your blizzard demon hits the water elemental.
Your blizzard demon barely misses the water elemental.
The water elemental closely misses you. You block the water elemental's attack.
A fire crab zombie comes into view.
Unknown command.
You barely miss the water elemental.
The water elemental is heavily damaged.
The plant is engulfed in a cloud of scalding steam.
The tarantella splashes around in the water.
The water around the elemental wellspring rises up and takes form!
You block the water elemental's attack.
A red ugly thing comes into view.
You whack the water elemental!
The water elemental is severely damaged.
Your blizzard demon gestures at the water elemental.
The bolt of lightning hits the water elemental.
The tree burns like a torch! You block the tarantella's attack. The red ugly thing moves out of view.
The water elemental barely misses your blizzard demon.
You block the water elemental's attack.
An ugly thing and an orc knight come into view.
Unknown command.
You barely miss the water elemental.
The water elemental is almost destroyed.
The plant is engulfed in a cloud of scalding steam.
The tarantella splashes around in the water.
The water elemental closely misses you.
Your unstable footing causes you to fumble your attack.
The plant is engulfed in a cloud of scalding steam.
Your blizzard demon gestures at the water elemental.
The freezing blast hits the water elemental.
The freezing blast hits the elemental wellspring.
You block the water elemental's attack.
The water elemental hits your blizzard demon!
The water elemental engulfs your blizzard demon in water!
Your unstable footing causes you to fumble your attack.
The tarantella barely misses you.
The elemental wellspring is engulfed in freezing vapours.
The elemental wellspring throws water at you.
The great wave of water passes through the water elemental.
Your +0 shield of reflection reflects the great wave of water!
The great wave of water passes through the water elemental.
The great wave of water hits the elemental wellspring.
The elemental wellspring is knocked back by the great wave of water.
The wave splashes down.
The elemental wellspring throws water at you.
The great wave of water hits you!
You are knocked back by the great wave of water.
Splash!
The wave splashes down.
Your blizzard demon hits the water elemental!
The water elemental is destroyed!
The water elemental hits your blizzard demon.
Really attack with your +3,+2 whip of electrocution while in water?
Okay, then.
Unknown command.
Unknown command.
Really attack with your +3,+2 whip of electrocution while in water?
Okay, then.
Unknown command.
Really attack with your +3,+2 whip of electrocution while in water?
Okay, then.
2 ugly things come into view.
The green ugly thing gurgles horribly! The red ugly thing gurgles horribly!
You block the tarantella's attack. The water elemental hits you.
The water elemental engulfs you in water!
The water elemental misses your blizzard demon.
The water elemental is engulfed in a cloud of scalding steam.
Your blizzard demon hits the water elemental.
With effort, you pull free of the water engulfing you.
A red ugly thing comes into view.
You gasp with relief as air once again reaches your lungs.
The red ugly thing gurgles horribly!
The water elemental hits the plant!
The tarantella bites you but does no damage.
Found a bloodstained altar of Trog.
An ogre mage comes into view. It is wielding a whip.
You block the red ugly thing's attack.
Your blizzard demon waves its arms in wide circles.
The water elemental is struck by the twisting air!
The water elemental hits the plant!
The plant is destroyed!
The green ugly thing basks in the mutagenic energy from its kin and changes!
A giant slug zombie comes into view.
Your blizzard demon waves its arms in wide circles.
The water elemental is struck by the twisting air!
The ogre mage casts a spell.
The ogre mage blinks!
Unknown command.
Why would you want to do that?
Unknown command.
The tarantella bites you.
You are confused.
The water elemental closely misses you.
The tarantella bites you but does no damage.
Are you sure you want to stumble around while confused and next to deep water?
[Y]es or [N]o only, please.
Are you sure you want to stumble around while confused and next to deep water?
[Y]es or [N]o only, please.
Are you sure you want to stumble around while confused and next to deep water?
Okay, then.
Drink which item? (? for menu, Esc to quit)
You feel better. You block the red ugly thing's attack.
The tarantella bites you but does no damage.
You block the water elemental's attack.
Unknown command.
The water elemental hits you.
The water elemental engulfs you in water!
Your blizzard demon waves its arms in wide circles.
The water elemental is struck by the twisting air!
The water elemental barely misses you.
The water elemental hits your blizzard demon.
The water elemental engulfs your blizzard demon in water!
The water elemental hits your blizzard demon!
Unknown command.
Drink which item? (? for menu, Esc to quit)
Okay, then.
With effort, you pull free of the water engulfing you.
You gasp with relief as air once again reaches your lungs.
The plant is engulfed in a cloud of scalding steam.
Your blizzard demon dies!
You block the water elemental's attack.
The elemental wellspring is engulfed in a cloud of scalding steam.
The elemental wellspring throws water at you.
The great wave of water passes through the water elemental.
The great wave of water hits you! The wave splashes down.
Splash!
You fall into the shallow water.
Moving in this stuff is going to be slow.
You block the water elemental's attack.
Use which ability? (? or * to list)
A demon appears!
You are feeling very hungry.
The plant is engulfed in a cloud of scalding steam.
You block the tarantella's attack.
The ogre mage casts a spell.
The ogre mage blinks!
The water elemental is engulfed in a cloud of scalding steam.
The tarantella bites you but does no damage.
The water elemental hits you.
The water elemental engulfs you in water!
You block the water elemental's attack.
Unknown command.
With effort, you pull free of the water engulfing you.
You gasp with relief as air once again reaches your lungs.
Your Executioner gestures.
Your Executioner seems to speed up.
The tarantella bites your Executioner!
Your Executioner appears confused.
The water elemental hits your Executioner!
The water elemental engulfs your Executioner in water!
The red ugly thing basks in the mutagenic energy from its kin and changes!
The tarantella barely misses your Executioner.
The ogre mage casts a spell.
The ogre mage blinks!
Your Executioner stays still, afraid of the water.
The water elemental hits your Executioner.
You block the water elemental's attack.
The water elemental hits your Executioner!
The water elemental is engulfed in a cloud of scalding steam.
The tarantella barely misses your Executioner.
You block the water elemental's attack.
The water elemental closely misses your Executioner.
The water elemental barely misses your Executioner.
You block the water elemental's attack.
The tarantella closely misses your Executioner.
Unknown command.
The water around the elemental wellspring rises up and takes form!
The water elemental hits your Executioner.
The tarantella bites your Executioner.
Unknown command.
Unknown command.
You closely miss the ogre mage. You block the water elemental's attack. You block the ogre mage's attack. The tarantella bites your Executioner!
Your Executioner appears confused.
The water elemental barely misses your Executioner.
Unknown command.
Unknown command.
You hit the ogre mage.
The ogre mage is lightly wounded.
The red ugly thing basks in the mutagenic energy from its kin and changes!
The water elemental hits you.
The water elemental engulfs you in water!
The water elemental hits your Executioner!
Unknown command.
Unknown command.
With effort, you pull free of the water engulfing you.
You gasp with relief as air once again reaches your lungs.
Your Executioner dies!
The red ugly thing basks in the mutagenic energy from its kin and changes!
The ogre mage casts a spell at you.
The bolt of lightning hits the water elemental.
The bolt of lightning hits you! The water elemental hits you! The water elemental barely misses you.
The water elemental is engulfed in a cloud of scalding steam.
The water elemental hits you.
The water elemental engulfs you in water!
The water around the elemental wellspring rises up and takes form!
Unknown command.
Unknown command.
With effort, you pull free of the water engulfing you.
You gasp with relief as air once again reaches your lungs.
The water elemental disappears in a puff of smoke!
The tarantella changes into a giant goldfish!
The ogre mage casts a spell at you.
The bolt of lightning hits the water elemental.
The bolt of lightning hits you!
The water elemental is engulfed in a cloud of scalding steam.
The cyan ugly thing basks in the mutagenic energy from its kin and changes!
The ogre mage mumbles some strange words.
The ogre mage blinks!
The water elemental is engulfed in a cloud of scalding steam.
The cyan ugly thing basks in the mutagenic energy from its kin and changes!
Unknown command.
Unknown command.
Unknown command.
You block the water elemental's attack.
Unknown command.
Unknown command.
Unknown command.
The water elemental disappears in a puff of smoke!
The ogre mage points at you and mumbles some strange words.
The bolt of lightning hits the water elemental.
The water elemental is destroyed!
The bolt of lightning hits you!
* * * LOW HITPOINT WARNING * * *
Unknown command.
Evoke which item? (* to show all) (? for menu, Esc to quit)
Zapping: d - a wand of heal wounds (6)
Press: ? - help, Shift-Dir - straight line, f - you
You feel much better. This wand has 5 charges left.
The ogre mage mumbles some strange words.
The ogre mage blinks! The water elemental barely misses you.
Unknown command.
Evoke which item? (* to show all) (? for menu, Esc to quit)
Zapping: d - a wand of heal wounds (5)
Press: ? - help, Shift-Dir - straight line, f - you
You feel much better. This wand has 4 charges left.
The ogre mage mumbles some strange words.
The ogre mage blinks! You block the water elemental's attack.
Unknown command.
The water elemental disappears in a puff of smoke!
The water elemental disappears in a puff of smoke!
There is a stone staircase leading up here.

>>>>>>>>>>>>>>>>>>>>>>

Game state:

mouse_enabled: 0, waiting_for_command: 0, terminal_resized: 0
io_inited: 1, need_save: 1, saving_game: 0, updating_scores: 0:
seen_hups: 0, map_stat_gen: 0, type: 1, arena_suspended: 0

prev_cmd = CMD_GO_UPSTAIRS
repeat_cmd = CMD_NO_CMD

Monster 'black mamba' (37, 49) [midx = 150] currently acting:

<<<<<<<<<
Name: black mamba
Base name: black mamba
Full name: black mamba

On/in/over feature: floor

Foe: player
Target: (36, 42)
At target: nothing

Travelling:
    travel_target = 6
    travel_path.size() = 2
    next travel step: (35, 45)
    last travel step: (35, 46)

Inventory:

attitude: 0, behaviour: 2, number: 0, flags: 0x1000000000
colour: 1, foe_memory: 244, shield_blocks:0, experience: 0
god: No God, seen_context: 0
>>>>>>>>>

Player:
{{{{{{{{{{{
Name: [kadaka]
Species: Deep Dwarf
Job: Fighter

class_name: Fighter

HP: 80/177; mods: 0/13
MP: 27/27; mods: 0/-1
Stats: 27 (27) 9 (9) 14 (14)
Position: (38, 34), god: Makhleb (8), turn_is_over: 1, banished: 0
Standing on/in/over feature: stone staircase leading up

Delayed (1):
    type: 13
    duration: 0
    parm1: 0
    parm2: 0
    started: 1


Skills (mode: auto)
Name | can_train | train | training | level | points | progress
Fighting | X | 2 | 48 | 16 | 10401 | 650/1487
Short Blades | | 0 | 0 | 0 | 0 | 0/59
Long Blades | | 0 | 0 | 0 | 0 | 0/50
Axes | | 0 | 0 | 0 | 0 | 0/42
Maces & Flails | X | 0 | 0 | 12 | 4291 | 91/850
Polearms | | 0 | 0 | 0 | 0 | 0/59
Staves | | 0 | 0 | 0 | 0 | 0/59
Slings | | 0 | 0 | 0 | 0 | 0/42
Bows | | 0 | 0 | 0 | 0 | 0/84
Crossbows | | 0 | 0 | 0 | 0 | 0/42
Throwing | X | 0 | 0 | 0 | 0 | 0/59
Armour | X | 2 | 52 | 20 | 12441 | 711/1514
Dodging | X | 0 | 0 | 0 | 0 | 0/42
Stealth | X | 0 | 0 | 0 | 0 | 0/29
Stabbing | | 0 | 0 | 0 | 0 | 0/59
Shields | X | 0 | 0 | 15 | 5941 | 13/967
Traps | | 0 | 0 | 0 | 0 | 0/42
Unarmed Combat | X | 0 | 0 | 0 | 0 | 0/59
Spellcasting | X | 0 | 0 | 0 | 0 | 0/70
Conjurations | | 0 | 0 | 0 | 0 | 0/59
Hexes | | 0 | 0 | 0 | 0 | 0/70
Charms | | 0 | 0 | 0 | 0 | 0/59
Summonings | | 0 | 0 | 0 | 0 | 0/59
Necromancy | | 0 | 0 | 0 | 0 | 0/42
Translocations | | 0 | 0 | 0 | 0 | 0/42
Transmutations | | 0 | 0 | 0 | 0 | 0/59
Fire Magic | | 0 | 0 | 0 | 0 | 0/59
Ice Magic | | 0 | 0 | 0 | 0 | 0/59
Air Magic | | 0 | 0 | 0 | 0 | 0/84
Earth Magic | | 0 | 0 | 0 | 0 | 0/29
Poison Magic | | 0 | 0 | 0 | 0 | 0/70
Invocations | X | 0 | 0 | 11 | 2080 | 29/446
Evocations | X | 0 | 0 | 10 | 1400 | 0/325

Spell bugs:

Durations:

Attributes:
    0000012: 5375
    0000013: 3146
    0000023: 33814
    0000024: 2104598034
    #27: 327876

Mutations:
    0000010: 1
    0000031: 1
    0000045: 1
    0000052: 1
    0000055: 1
    0000058: 3
    0000069: 3
    0000070: 1

Demon mutations:
    0000055: 1
    0000058: 3
    0000069: 3

Inventory bugs:

Equipment:
    eq slot #0, inv slot #0: +3,+2 whip of electrocution
    eq slot #1, inv slot 0000013: +0 cloak of poison resistance
    eq slot 0000002, inv slot 0000044: +2 helmet of see invisible
    eq slot 0000003, inv slot 0000038: +2 pair of dwarven gauntlets
    eq slot 0000004, inv slot 0000026: +2 pair of boots of running
    eq slot 0000005, inv slot 0000029: +0 shield of reflection
    eq slot 0000006, inv slot 0000023: +4 gold dragon armour
    eq slot 0000007, inv slot 0000018: +5,+5 ring of slaying
    eq slot 0000008, inv slot 0000046: ring of protection from magic
    eq slot 0000009, inv slot 0000011: amulet of conservation

}}}}}}}}}}}


Screenshot:
.......?????...?????...?????.....
.......?????...?????...?????.....
.......?????...........?????.....
.......?????...........?????.....
 ......?????...........?????.....
,,,,..........)..................
, ............[[..............
  ,,,............)...............
    ?????.......))........?????..
  ..?????.......)<%.......? ???..
 ...?????.....).@(<.......? ??..
,,..?????.......E.........? ?..
???.?????.......§.........? ?? ,
?P??...........uE..........
??PP?....O....§............
?P????..........E)......... ,
?????..?????..uZEE.....???? ,
??P?§..?????...........??? ? , ,
????§..?????...........????
*???§..?????...?????...??? ,,,
 ?§§.§.?????...?????...??? , ,,

clua stack:


dlua stack:


Lua persistent data:
<<<<<<<<<<<<<<<<<<<<<<
ice_cave_hard: false
>>>>>>>>>>>>>>>>>>>>>>

Lua marker contents:
<<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-kadaka-20130823-212329.txt [^] (47,676 bytes) 2013-08-23 21:30 [Show Content]

- Relationships

-  Notes
(0023843)
neil (administrator)
2013-08-23 21:47
edited on: 2013-08-24 07:24

Somehow a black mamba got ENCH_AQUATIC_LAND ("flopping about on dry land"). Even water elementals (being HT_AMPHIBIOUS) and wellsprings (being special-cased) shouldn't get that enchantment: only fish, swamp worms, krakens, jellyfish, and thorn lotuses. No clue how that would happen.

(0024091)
KiloByte (manager)
2013-09-25 22:34

It's a shifter.

Every case of this crash I've seen so far involves a shifter and a terrain change marker.
(0024184)
KiloByte (manager)
2013-10-11 04:55

'tis is an ex-bug.

- Issue History
Date Modified Username Field Change
2013-08-23 21:30 newideas New Issue
2013-08-23 21:30 newideas File Added: crash-kadaka-20130823-212329.txt
2013-08-23 21:47 neil Note Added: 0023843
2013-08-24 07:24 neil Note Edited: 0023843
2013-09-25 22:34 KiloByte Note Added: 0024091
2013-10-11 04:55 KiloByte Note Added: 0024184
2013-10-11 04:55 KiloByte Status new => resolved
2013-10-11 04:55 KiloByte Fixed in Branch => 0.14 development branch
2013-10-11 04:55 KiloByte Resolution open => done
2013-10-11 04:55 KiloByte Assigned To => KiloByte


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker